Bug 107927 - Heads up for a potential problem with FC1 upgrades
Heads up for a potential problem with FC1 upgrades
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 12:45 EDT by Jef Spaleta
Modified: 2007-04-18 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 15:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2003-10-24 12:45:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030701 Galeon/1.3.7

Description of problem:
Okay well now that we are getting really close to FC1 here is an idea  for you.

Can we do anything to mitigate problems with people trying to upgrade
from test3 to fc1 with regard to up2date configured to eat rawhide?

Right now i feel there is a HUGE perception problem in the new fedora userbase.
Casual users of fedora test releases are getting a very particular view of
rawhide as mostly non toxic. A month from now, when rawhide starts looking more
like the rawhide i know and love...those casual users who are still eating
rawhide through up2date are going to have a very very painful lesson to learn.
I'm really afriad that the current large pool of casual,naive fedora test users
are going to be telling their freinds to use rawhide as a source for updates.
This sort of thing is going to burn a lot of people. 

Can anything be done with the up2date packages that are going to ship with FC1
to try to disable rawhide in a pre-existing sources file...or maybe forcible
putting in a new sources file without rawhide as a source, and with a very
obvious comment about rawhide having the potential to eat babies once rawhide
starts diverging from FC1.

Clearly this is mainly a problem for users who are doing unsupported things like
upgrading test3->fc1. But i humbly submit to you that the perception of rawhide
in the fedora test release userbase  is not an accurate picture of what rawhide
is going to be in a month..and they really don't have a clear enough
understanding to know why rawhide is going to taste different next month
compared to now.

The fedora website almost makes rawhide look warn and fuzzy:
http://fedora.redhat.com/download/rawhide.html

If you could work in an engineering work around into the up2date package to at
least try to disable rawhide as a source in favor of an fc1 update repo..that
would go a long way to stop a lot of naive user's systems from breaking. I also
want to try to have a re-education campaign on the website and the mailinglists
about what rawhide is, in a post fc1 release world. But any attempt at a
engineered preventative measure in the up2date packages themselves could go
along way to keep a number of naive beta tester user's systems from being
rawhide damaged come december when mharris dumps a new X into rawhide..as an
example. 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A


Additional info:
Comment 1 Bill Nottingham 2003-10-26 21:09:23 EST
rawhide will not be a 'live' source in FC1 final. It will be a
commented-out source for people to access the development stream.

Note You need to log in before you can comment on or make changes to this bug.